Jdk (Gradle API 2.14.1)

org.gradle.plugins.ide.idea.model

## Class Jdk

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.idea.model.Jdk

- All Implemented Interfaces:
    GroovyObject

      public class Jdk
      extends GroovyObjectSupport

  Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jdk(boolean assertKeyword, boolean jdk15, String languageLevel, String projectJdkName)`
    `Jdk(Object assertKeyword, Object jdk15, Object languageLevel, Object projectJdkName)` Deprecated.
    `Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `boolean` | `getAssertKeyword()`
    `boolean` | `getJdk15()`
    `String` | `getLanguageLevel()`
    `String` | `getProjectJdkName()`
    `int` | `hashCode()`
    `boolean` | `isAssertKeyword()`
    `boolean` | `isJdk15()`
    `void` | `setAssertKeyword(boolean assertKeyword)`
    `void` | `setJdk15(boolean jdk15)`
    `void` | `setLanguageLevel(String languageLevel)`
    `void` | `setProjectJdkName(String projectJdkName)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Jdk

          public Jdk(String jdkName,
             IdeaLanguageLevel ideaLanguageLevel)

    - #### Jdk

          public Jdk(boolean assertKeyword,
             boolean jdk15,
             String languageLevel,
             String projectJdkName)

    - #### Jdk

          @Deprecated
          public Jdk(Object assertKeyword,
                        Object jdk15,
                        Object languageLevel,
                        Object projectJdkName)

      Deprecated.

  - ### Method Detail

    - #### isAssertKeyword

          public boolean isAssertKeyword()

    - #### getAssertKeyword

          public boolean getAssertKeyword()

    - #### setAssertKeyword

          public void setAssertKeyword(boolean assertKeyword)

    - #### isJdk15

          public boolean isJdk15()

    - #### getJdk15

          public boolean getJdk15()

    - #### setJdk15

          public void setJdk15(boolean jdk15)

    - #### getLanguageLevel

          public String getLanguageLevel()

    - #### setLanguageLevel

          public void setLanguageLevel(String languageLevel)

    - #### getProjectJdkName

          public String getProjectJdkName()

    - #### setProjectJdkName

          public void setProjectJdkName(String projectJdkName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`